Loading...
Searching...
No Matches
Dune::MPIData< T, Enable > Struct Template Reference

`#include <dune/common/parallel/mpidata.hh>`

Inheritance diagram for Dune::MPIData< T, Enable >:

## Public Member Functions

void * | ptr () const
int | size () const
MPI_Datatype | type () const

## Static Public Attributes

static constexpr bool | static_size = true

## Protected Member Functions

| MPIData (T &t)

## Protected Attributes

T & | data_

## Friends

auto | getMPIData (T &t)

## Constructor & Destructor Documentation

## MPIData()

template<class T, class Enable>

Dune::MPIData< T, Enable >::MPIData | ( | T & | t | ) |

inline protected

## Member Function Documentation

## ptr()

template<class T, class Enable>

void * Dune::MPIData< T, Enable >::ptr | ( |  | ) | const

inline

## size()

template<class T, class Enable>

int Dune::MPIData< T, Enable >::size | ( |  | ) | const

inline

## type()

template<class T, class Enable>

MPI_Datatype Dune::MPIData< T, Enable >::type | ( |  | ) | const

inline

## Friends And Related Symbol Documentation

## getMPIData

template<class T, class Enable>

auto getMPIData | ( | T & | t | ) |

friend

## Member Data Documentation

## data_

template<class T, class Enable>

T& Dune::MPIData< T, Enable >::data_

protected

## static_size

template<class T, class Enable>

bool Dune::MPIData< T, Enable >::static_size = true

static constexpr

The documentation for this struct was generated from the following file:

- mpidata.hh